Bug 484320 - Review Request: perl-Lingua-Stem-Snowball - Perl interface to Snowball stemmers
Review Request: perl-Lingua-Stem-Snowball - Perl interface to Snowball stemmers
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 484323
  Show dependency treegraph
 
Reported: 2009-02-05 20:14 EST by Ian Burrell
Modified: 2009-02-09 01:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-09 01:06:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Burrell 2009-02-05 20:14:34 EST
Spec URL: http://znark.com/fedora/perl-Lingua-Stem-Snowball.spec
SRPM URL: http://znark.com/fedora/perl-Lingua-Stem-Snowball-0.952-1.fc10.src.rpm
Description: Stemming reduces related words to a common root form -- for instance, "horse", "horses", and "horsing" all become "hors". Most commonly,
stemming is deployed as part of a search application, allowing
searches for a given term to match documents which contain other forms
of that term.

This module is very similar to Lingua::Stem -- however, Lingua::Stem
is pure Perl, while Lingua::Stem::Snowball is an XS module which
provides a Perl interface to the C version of the Snowball
stemmers.
Comment 1 Parag AN(पराग) 2009-02-06 01:12:01 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1108450
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
6b0085c6fd8ec894e34c593078aa169a  Lingua-Stem-Snowball-0.952.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave 
All tests successful.
Files=6, Tests=10237,  4 wallclock secs ( 1.37 usr  0.05 sys +  3.92 cusr  0.05 
+ Package  perl-Lingua-Stem-Snowball-0.952-1.fc11 =>
  Provides: Snowball.so perl(Lingua::Stem::Snowball) = 0.952
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) perl >= 0:5.006002  perl(Carp) perl(DynaLoader) perl(Exporter) perl(strict) perl(vars) perl(warnings) rtld(GNU_HASH)

Suggestions:
1) remove following line from SPEC
Requires:       perl(Test::More)

APPROVED.
Comment 2 Ian Burrell 2009-02-06 13:34:51 EST
New Package CVS Request
=======================
Package Name: perl-Lingua-Stem-Snowball
Short Description: Perl interface to Snowball stemmers
Owners: iburrell
Branches: F-9 F-10 EL-5
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-02-08 16:55:12 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.